using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainBusiness.Interfaces
{
    public interface IDropZoneService
    {
        #region Public Methods

        void AddNewDz(DropZone dropZone);

        bool AddToFavorite(int dzId);

        void DeleteDzById(int id);

        IEnumerable<DropZone> GetAllDzs();

        DropZone GetDzById(int id);

        bool RemoveToFavorite(int dzId);

        bool UpdateDz(int id, DropZone dropZone);

        #endregion Public Methods
    }
}